Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogicx.jsp.tags.validators
Class RegExpValidator

    java.lang.Object
      weblogicx.jsp.tags.validators.CustomizableAdapter
          weblogicx.jsp.tags.validators.RegExpValidator

All Implemented Interfaces:
  Customizable, Serializable

public class RegExpValidator
extends CustomizableAdapter

The RegExpValidator is used for validating regular expressions. Under the hood it uses the org.apache.oro.text.regexp package for regexp validation. if an exact match is found the validate method returns true if the string value passed is a "", then the RegExpValidator returns true. This is done to prevent duplicate validation on the field in case the RequiredFieldValidator is also used.

See Also:
  `It is thus recommended to use the RequiredFieldValidator along with the RegExpValidator`, Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogicx.jsp.tags.validators.CustomizableAdapter
`errorMessage, expression, fieldToValidate`

Constructor Summary
`RegExpValidator()`

Method Summary
`boolean` | `equals(Object o)`
`boolean` | `validate(ServletRequest req)` users may use this method to validate the value of the parameter in the request for eg: the parameter value must contain NYC or it must not contain XYZ or they may even validate it against the custom expression set optionally.

Methods inherited from class weblogicx.jsp.tags.validators.CustomizableAdapter
`attributeDequote, getErrorMessage, getExpression, getFieldToValidate, setErrorMessage, setExpression, setFieldToValidate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegExpValidator

    public RegExpValidator()

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `CustomizableAdapter`

### validate

    public boolean validate(ServletRequest req)
                     throws Exception

  Description copied from class: `CustomizableAdapter`
  users may use this method to validate the value of the parameter in the request for eg: the parameter value must contain NYC or it must not contain XYZ or they may even validate it against the custom expression set optionally.

  Specified by:
    `validate` in interface `Customizable`
  Specified by:
    `validate` in class `CustomizableAdapter`
  Parameters:
    `req` - : received
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD